Attribute VB_Name = "Module1"

'waits insertion function(WindowsAPI)
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

'The "text" edit from a keyboard is controlled only to a numerical value.
Public Function ValueTypeOnly(KeyAscii As Integer)
    
    'In other than BS, a key input is repealed with from 0 to 9.
    If Not ((Asc("0") <= KeyAscii And KeyAscii <= Asc("9")) Or KeyAscii = 8) Then
        KeyAscii = 0
    End If

    ValueTypeOnly = KeyAscii

End Function

Public Function GetCorrelationErrMesg(ByVal lngErr As Long) As String

    Select Case (lngErr)
        Case 0
            GetCorrelationErrMesg = "With no error"
        Case 5001
            GetCorrelationErrMesg = "The pattern does not exist."
        Case 5005
            GetCorrelationErrMesg = "A parameter is different."
        Case 5006
            GetCorrelationErrMesg = "A model is different."
        Case 5007
            GetCorrelationErrMesg = "Since the pattern picture is fixed, it cannot register."
        Case 5008
            GetCorrelationErrMesg = "The size of a pattern and a mask is not in agreement."
        Case 5009
            GetCorrelationErrMesg = "The NULL value was specified to be a parameter."
        Case 5010
            GetCorrelationErrMesg = "Reservation of a memory went wrong."
        Case 5022
            GetCorrelationErrMesg = "The pattern is not specified."
        Case Else
            GetCorrelationErrMesg = "An unknown error"
    End Select

End Function


Public Function GetPatternErrMesg(ByVal lngErr As Long) As String

    Select Case (lngErr)
        Case 0
            GetPatternErrMesg = "With no error"
        Case 9502
            GetPatternErrMesg = "It is the image type which is not supported."
        Case 9505
            GetPatternErrMesg = "A parameter is different."
        Case 9506
            GetPatternErrMesg = "The model of an argument is different."
        Case 9510
            GetPatternErrMesg = "Reservation of a memory went wrong."
        Case 9531
            GetPatternErrMesg = "Specification of a path is wrong."
        Case 9533
            GetPatternErrMesg = "A pattern does not exist."
        Case 9540
            GetPatternErrMesg = "A pattern does not exist."
        Case Else
            GetPatternErrMesg = "An unknown error"
    End Select

End Function

Public Function GetEdgeErrMesg(lngErr As Long) As String

    Select Case (lngErr)
    Case 0
        GetEdgeErrMesg = "With no error"
    Case 4005
        GetEdgeErrMesg = "A parameter is different."
    Case 4006
        GetEdgeErrMesg = "The model of an argument is different."
    Case 4007
        GetEdgeErrMesg = "NULL is specified to be an argument."
    Case 4013
        GetEdgeErrMesg = "The processing domain is not specified."
    End Select

End Function

